<f:view xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets"
>
<p:panel id="mainBodyOverview" style="#{adminIdeasBean.styleModalOverview}">
<div id="ideaEditModal" class="w3-modal">
<h:form id="ideaInputAdminOverviewForm" enctype="multipart/form-data">
				<h:inputHidden id="ideasId" value="#{adminIdeasBean.currentIdeasId}" />
				<h:inputHidden id="lat" value="#{adminIdeasBean.lat}" />
				<h:inputHidden id="lng" value="#{adminIdeasBean.lng}" />
			<div class="w3-modal-content w3-animate-opacity">
					<header class="w3-container w3-blue">
						<h2 id="ideaInputModalHeadline">Kurzbeschreibung Deines Projekts</h2>
					</header>
					<div class="w3-container w3-padding-small">

					<!-- Title Input -->
						<p style="padding-bottom: 5px">
						<label for="ideaTitleInput">Wie lautet der Name Deines Projekts?</label>
							<p:inputText id="ideaTitleInput" class="w3-input" type="text" required="true" validatorMessage="Länge des Titels muss zwischen fünf und 15 Zeichen liegen." requiredMessage="Bitte einen Titel angeben."
								style="width:70%;  border: 2px solid #2196F3;" value="#{adminIdeasBean.title}"
								placeholder="Mängel-Melder-App" >
									    <f:validateLength minimum="5" maximum="15"/>
	            	    				<p:ajax update="valTitelInputStepOne" event="keyup"/>
								</p:inputText>
								<p:message for="ideaTitleInput" id="valTitelInputStepOne"/>
						</p>

					<!-- Goal Input -->
						<p style="padding-bottom: 5px">
						<label for="ideaGoalInput">Was ist das Ziel Deines Projekts?</label>
							<p:inputText id="ideaGoalInput" class="w3-input" type="text" required="true" validatorMessage="Muss länger als 10 Zeichen sein." requiredMessage="Bitte das Ziel der Idee angeben."
								style="width:70%; border: 2px solid #2196F3;" value="#{adminIdeasBean.goal}"
								placeholder="Ich möchte städtische Mängel direkt via Mobile-App an die Verwaltung melden." >
										 <f:validateLength minimum="10" maximum="4000"/>
	            	    				<p:ajax update="valGoalInputStepOne" event="keyup"/>
								</p:inputText>
								<p:message for="ideaGoalInput" id="valGoalInputStepOne"/>
						</p>


					<!-- Target Audience Input -->
						<p style="padding-bottom: 5px">
						<label for="ideaAudienceInput">Für wen ist Dein Projekt wichtig?</label>
							<p:inputText id="ideaAudienceInput" class="w3-input" type="text" required="true" validatorMessage="Muss länger als 10 Zeichen sein." requiredMessage="Dieses Feld wird benötigt um fortzufahren."
								style="width:70%; border: 2px solid #2196F3;" value="#{adminIdeasBean.targetAudience}"
								placeholder="Für alle Bürger, die Mängel an die Verwaltung schicken möchten." >
								<f:validateLength minimum="10" maximum="4000"/>
	            	    				<p:ajax update="valAudienceInputStepOne" event="keyup"/>
								</p:inputText>
								<p:message for="ideaAudienceInput" id="valAudienceInputStepOne"/>

						</p>

					<!-- Importance Input -->
						<p style="padding-bottom: 5px">
						<label for="ideaImportanceInput">Warum ist Dein Projekt wichtig?</label>
							<p:inputText id="ideaImportanceInput" class="w3-input" type="text" required="true" validatorMessage="Muss länger als 10 Zeichen sein." requiredMessage="Dieses Feld wird benötigt um fortzufahren."
								style="width:70%; border: 2px solid #2196F3;" value="#{adminIdeasBean.importance}"
								placeholder="Die Behebung von Mängeln dauert zu lange und man weiß nicht an wen man sich wenden soll." >
										<f:validateLength minimum="10" maximum="4000"/>
	            	    				<p:ajax update="valImportanceInputStepOne" event="keyup"/>
								</p:inputText>
								<p:message for="ideaImportanceInput" id="valImportanceInputStepOne"/>
						</p>

					<!-- Solution Input -->
						<p style="padding-bottom: 5px">
						<label for="ideaSolutionInput">Wie sieht die Umsetzung Deines Projekts aus?</label>
							<p:inputText id="ideaSolutionInput" class="w3-input" type="text" required="true" validatorMessage="Muss länger als 10 Zeichen sein." requiredMessage="Dieses Feld wird benötigt um fortzufahren."
								style="width:70%; border: 2px solid #2196F3;" value="#{adminIdeasBean.solution}"
								placeholder="Eine mobile Applikation mit Standortübertragung und Fotofunktion." >
										<f:validateLength minimum="10" maximum="4000"/>
	            	    				<p:ajax update="valSolutionInputStepOne " event="keyup"/>
								</p:inputText>
								<p:message for="ideaSolutionInput" id="valSolutionInputStepOne"/>
						</p>

					<!-- Tags Input -->
					<p>
						<p:outputLabel value="Welche Schlagworte sind mit Deinem Projekt verbunden?" for="ideaTagInput" />
						 <p:autoComplete id="ideaTagInput"
							maxResults="5"
				        	multiple="true"
				        	value="#{adminIdeasBean.selectedTags}"
				        	completeMethod="#{autoCompBean.completeText}"
				        	forceSelection="true">
				            <p:ajax event="itemSelect" listener="#{autoCompBean.onItemSelect}"/>
				       	 </p:autoComplete>
				       	 </p>

					<p> Klicke auf die Karte, um Dein Projekt zu verorten. </p>
					<!-- LEAFLET JAVASCRIPT -->
					<script>
					    define._amd = define.amd;
					    define.amd = false;
					</script>
						<link rel="stylesheet" href="https://unpkg.com/leaflet@1.2.0/dist/leaflet.css" />
						<script src="https://unpkg.com/leaflet@1.2.0/dist/leaflet.js"></script>
					<script>
					    define.amd = define._amd;
					</script>
					 <div id="editMap"></div>
						 <script>
						        // Hessen configuration
								var editMap = L.map('editMap').setView(
										[ 50.7, 9.1 ], 8);
								editMap.options.minZoom = 8;
								editMap.options.maxZoom = 16;
								//----------------------
						 
								L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
									attribution: 'Copyright OpenStreetMap'
								}).addTo(editMap);
						 
						        /*// Kassel configuration
								var editMap = L.map('editMap').setView([51.312066, 9.492901], 12);
								editMap.options.minZoom = 12;
								var southWest = L.latLng(51.18994825699286, 9.743328094482424),
								northEast = L.latLng(51.455778558471586, 9.244995117187502);
								var bounds = L.latLngBounds(southWest, northEast);
								editMap.setMaxBounds(bounds);
								editMap.on('drag', function() {
									editMap.panInsideBounds(bounds, { animate: false });
								});

								var wmsUrl = 'https://geoportal.stadt-kassel.de/arcgis/services/Raster/Geoportal_WebMaps_WGS84/MapServer/WMSServer?';
								L.tileLayer.wms(wmsUrl,{
									layers:'1:4.514,1:9.028,1:18.056,1:36.112,1:72.224,1:144.448,1:288.895'
								}).addTo(editMap);

                                //----------------------*/

								var allMarkers = L.layerGroup();

								editMap.on('click', addMarkerFinal);

									function addMarkerFinal(e) {
										editMap.removeLayer(allMarkers);
										allMarkers.clearLayers();
								        marker = new L.Marker(e.latlng, {draggable:false});
								        allMarkers.addLayer(marker);
								        editMap.addLayer(allMarkers);
									        document.getElementById("_JSFAdminIdeaOverview_WAR_JSFAdminIdeaOverview_:ideaInputAdminOverviewForm:lat").value = e.latlng.lat;
									        document.getElementById("_JSFAdminIdeaOverview_WAR_JSFAdminIdeaOverview_:ideaInputAdminOverviewForm:lng").value = e.latlng.lng;
									};
						 </script>
					 <!-- LEAFLET JAVASCRIPT END -->

				<ui:fragment rendered="false">
					 <p>Lade hier ein Titelbild für dein Projekt hoch (Überschreibt das bestehende Bild):</p>
						<p:fileUpload id="fileUpload"
						fileUploadListener="#{adminIdeasBean.upload}" mode="advanced" auto="true"
						dragDropSupport="true" sizeLimit="10000000"
						allowTypes="/(\.|\/)(gif|jpe?g|png)$/" />
						</ui:fragment>

						<!-- Pitch Input -->
						<p style="padding-bottom: 5px">
						<label for="ideaPitchInput">Fasse Dein Projekt mit Lösung zusammen (Elevator Pitch):</label>
							<p:inputText id="ideaPitchInput" class="w3-input" type="text" required="false"
								style="width:70%; border: 2px solid #2196F3;" value="#{adminIdeasBean.pitch}"
								placeholder="Pitch" >
								</p:inputText>
						</p>

					<footer class="w3-container w3-grey">
						<div class="w3-bar">
							<p:commandButton value="Einreichen" id="submitOverview" styleClass="ui-priority-primary"
							 style="float:right;" actionListener="#{adminIdeasBean.ideaInputFinalSubmit}">
							 <p:tooltip id="submitOverviewTooltip"  value="Das Projekt zur Begutachtung einreichen. Kann anschließend nicht mehr editiert werden!" position="bottom"/>
							</p:commandButton>

							<p:commandButton value="Speichern" id="saveOverview" styleClass="ui-priority-primary"
							 style="float:right;" actionListener="#{adminIdeasBean.ideaInputFinalSave}">
							 <p:tooltip id="saveOverviewTooltip"  value="Speichert das Projekt unsichtbar für alle anderen Besucher ab." position="bottom"/>
							</p:commandButton>

							<p:commandButton value="Abbruch" id="cancelBtnOverviewModal" type="button"
								onclick="document.getElementById('ideaEditModal').style.display='none'">
							</p:commandButton>
						</div>
					</footer>
					</div>
			</div>
			</h:form>
	</div>
</p:panel>
	</f:view>